{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "MENUITEM.CAPTION.BARCHART",
    "mOSFilePath" : "pslanguageres/Auto833",
    "rTMOSFilePath" : "pslanguageres/Auto833"
  },
  "caption" : "订单",
  "codeName" : "IBIZOrderBarChartView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderBarChartView.json",
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderBarChartView",
  "name" : "IBIZOrderBarChartView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "ChartView",
    "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderBarChartView/psappviewengines/engine",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "chart",
      "name" : "CHART",
      "paramType" : "CTRL"
    }, {
      "ctrlName" : "searchform",
      "name" : "SEARCHFORM",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup78"
  },
  "getPSControls" : [ {
    "codeName" : "Default",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSSEARCHFORMS/Default.json",
    "hookEventNames" : [ "SEARCH", "LOAD", "SAVE" ],
    "logicName" : "默认搜索表单",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdeform_searchforms/Default",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SEARCH;LOAD;SAVE",
      "logicTag" : "searchform",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_searchform",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "n_ibizordername_like",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "订单名称",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFSFITEM.IBIZORDER.N_IBIZORDERNAME_LIKE",
          "mOSFilePath" : "pslanguageres/Auto338",
          "rTMOSFilePath" : "pslanguageres/Auto338"
        },
        "caption" : "订单名称(%)",
        "codeName" : "n_ibizordername_like",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/n_ibizordername_like",
        "name" : "n_ibizordername_like",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZORDERNAME",
          "codeName" : "IBIZOrderName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "editorWidth" : 100.0,
          "name" : "n_ibizordername_like"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/n_ibizordername_like",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderBarChartView/psappviewctrls/searchform",
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "1b5557a48588cf3b6a07b7bd6acedd53",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "Bar",
    "controlType" : "CHART",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSCHARTS/Bar.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch"
    },
    "hookEventNames" : [ "LOAD", "BEFORELOAD" ],
    "logicName" : "Bar",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdecharts/Bar",
    "memo" : "按订单类型汇总订单金额",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSChartCoordinateSystems" : [ {
      "eChartsType" : "cartesian2d",
      "index" : 0,
      "name" : "[bar]直角坐标系[0]",
      "getPSChartGrid" : {
        "index" : 0,
        "name" : "[bar]直角坐标系[0]",
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridXAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridYAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "grid",
        "id" : "0"
      },
      "type" : "XY",
      "id" : "0"
    } ],
    "getPSChartDataSetGroups" : [ {
      "index" : 0,
      "name" : "EchartsDefaultDataSource",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchEchartsDefaultDataSource"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
      },
      "id" : "0"
    } ],
    "getPSChartDataSets" : [ {
      "index" : 0,
      "name" : "bar-EchartsDefaultDataSource",
      "getPSChartDataSetFields" : [ {
        "index" : 0,
        "name" : "orderstate",
        "getPSCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
        },
        "groupField" : true,
        "id" : "0"
      }, {
        "index" : 1,
        "name" : "amount",
        "groupField" : false,
        "id" : "1"
      } ],
      "id" : "0"
    } ],
    "getPSChartGrids" : [ {
      "index" : 0,
      "name" : "[bar]直角坐标系[0]",
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridXAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridYAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "grid",
      "id" : "0"
    } ],
    "getPSChartXAxises" : [ {
      "caption" : "订单名称",
      "eChartsPos" : "xAxis",
      "eChartsType" : "category",
      "index" : 0,
      "name" : "X坐标轴_订单名称",
      "position" : "bottom",
      "type" : "category",
      "id" : "0"
    } ],
    "getPSChartYAxises" : [ {
      "caption" : "金额",
      "eChartsPos" : "yAxis",
      "eChartsType" : "value",
      "index" : 0,
      "name" : "Y坐标轴_金额",
      "position" : "left",
      "type" : "numeric",
      "id" : "0"
    } ],
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchEchartsDefaultDataSource"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "图形控件处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "LOAD;BEFORELOAD",
      "logicTag" : "chart",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_chart",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "CHART"
    },
    "getPSDEChartLegend" : {
      "index" : 0,
      "showLegend" : true,
      "id" : "0"
    },
    "getPSDEChartSerieses" : [ {
      "catalogField" : "orderstate",
      "getCatalogPSCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
      },
      "eChartsType" : "bar",
      "index" : 0,
      "name" : "bar",
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartDataSet" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartSeriesEncode" : {
        "index" : 0,
        "name" : "坐标系编码",
        "getPSChartXAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartYAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "XY",
        "x" : [ "orderstate" ],
        "y" : [ "amount" ],
        "id" : "0"
      },
      "seriesLayoutBy" : "column",
      "seriesType" : "column",
      "valueField" : "amount",
      "enableChartDataSet" : true,
      "stack" : false,
      "getUserParam" : {
        "ECX.itemStyle" : "{normal:{color: function(params: any) {var colorList = [\"#40c9c6\",\"#36a3f7\",\"#f4516c\",\"#34bfa3\",'#ffba00','#42d885','#1682e6','#4dd9d5'];return colorList[params.dataIndex]},}}"
      }
    } ],
    "getPSDEChartTitle" : {
      "index" : 0,
      "subTitle" : "虚拟数据",
      "title" : "订单金额统计",
      "showTitle" : true,
      "id" : "0"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderBarChartView/psappviewctrls/chart",
    "readOnly" : true,
    "name" : "chart",
    "modelid" : "8d3d1a883635ad7957766e94e8e955ee",
    "modeltype" : "PSDECHART"
  } ],
  "getPSDEViewCodeName" : "BarChartView",
  "getPSDEViewId" : "9dff368a0332318114840403059fdbda",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDECHARTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderBarChartView/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "getPSWFVersion" : {
    "modelref" : true,
    "path" : "PSWORKFLOWS/ODSP/PSWFVERSIONS/ODSPv1.json"
  },
  "getPSWorkflow" : {
    "modelref" : true,
    "path" : "PSWORKFLOWS/ODSP.json"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderBarChartView",
  "title" : "订单图表视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.IBIZORDER.BARCHARTVIEW",
    "mOSFilePath" : "pslanguageres/Auto1393",
    "rTMOSFilePath" : "pslanguageres/Auto1393"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DECHARTVIEW",
  "enableDP" : true,
  "enableQuickGroup" : false,
  "enableQuickSearch" : false,
  "enableSearch" : true,
  "expandSearchForm" : false,
  "loadDefault" : true,
  "showCaptionBar" : false,
  "modelid" : "7076a8f4eba59f17d7da3104b932a262",
  "modeltype" : "PSAPPDEVIEW"
}